MarketModelPathwiseInverseFloater Class Reference

`#include <ql/models/marketmodels/products/pathwise/pathwiseproductinversefloater.hpp>`

Inheritance diagram for MarketModelPathwiseInverseFloater:
[legend]

## Public Member Functions

| MarketModelPathwiseInverseFloater (const std::vector< Time > &rateTimes, const std::vector< Real > &fixedAccruals, const std::vector< Real > &floatingAccruals, const std::vector< Real > &fixedStrikes, const std::vector< Real > &fixedMultipliers, const std::vector< Real > &floatingSpreads, const std::vector< Time > &paymentTimes, bool payer=true)
virtual std::vector< Size > | suggestedNumeraires () const
virtual const EvolutionDescription & | evolution () const
virtual std::vector< Time > | possibleCashFlowTimes () const
virtual Size | numberOfProducts () const
virtual Size | maxNumberOfCashFlowsPerProductPerStep () const
virtual bool | alreadyDeflated () const
virtual void | reset ()
| during simulation put product at start of path
virtual bool | nextTimeStep (const CurveState &currentState, std::vector< Size > &numberCashFlowsThisStep, std::vector< std::vector< MarketModelPathwiseMultiProduct::CashFlow > > &cashFlowsGenerated)
| return value indicates whether path is finished, TRUE means done
virtual std::auto_ptr< MarketModelPathwiseMultiProduct > | clone () const
| returns a newly-allocated copy of itself

## Detailed Description

Pathwise product inverse floater for doing Greeks Tested in MarketModels::testInverseFloater()